com.aliyun.svideosdk.common.struct.project

## Class PhotoPasterTrack

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.project.Track
  - - com.aliyun.svideosdk.common.struct.project.PasterTrack
    - - com.aliyun.svideosdk.common.struct.project.PhotoPasterTrack

- Direct Known Subclasses:
    CaptionTrack, GifPasterTrack, SubTitleTrack

      public class PhotoPasterTrack
      extends PasterTrack

  静态贴纸 v3.23.0 新增

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aliyun.svideosdk.common.struct.project.PasterTrack

      `PasterTrack.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `mNodeKey` 模板节点索引key

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PhotoPasterTrack()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ActionBase>` | `getActions()` 获取动效列表
    `java.util.List<Frame>` | `getFrameArray()` Gets the frames of this sticker.
    `float` | `getHeight()` 获取贴纸在输出视频中的高度
    `java.lang.String` | `getName()` 获取贴纸资源名称
    `java.lang.String` | `getNodeKey()`
    `float` | `getRotation()` 获取角度值
    `Source` | `getSource()` 获取贴纸资源
    `java.util.List<FrameTime>` | `getTimeArray()` 获取动态贴纸时间戳
    `float` | `getTimelineIn()` 获取素材片段相对于时间线的入点。单位：秒
    `float` | `getTimelineOut()` 获取素材片段相对于时间线的出点。单位：秒
    `float` | `getWidth()` 获取贴纸在输出视频中的宽度
    `float` | `getX()` 获取距离输出视频左上角的横向距离
    `float` | `getY()` 获取距离输出视频左上角的横向距离
    `boolean` | `isMirror()` 是否镜像
    `void` | `setFrameArray(java.util.List<Frame> frameArray)` 获取动态贴纸帧列表
    `void` | `setHeight(float height)` 设置贴纸在输出视频中的高度
    `void` | `setMirror(boolean mirror)` 设置是否镜像
    `void` | `setName(java.lang.String name)` 设置贴纸资源名称
    `void` | `setNodeKey(java.lang.String key)`
    `void` | `setRotation(float rotation)` 设置角度值
    `void` | `setSource(Source source)` 设置贴纸资源
    `void` | `setTimeArray(java.util.List<FrameTime> timeArray)` 设置动态贴纸时间戳
    `void` | `setTimelineIn(float timelineIn)` 设置素材片段相对于时间线的入点。单位：秒
    `void` | `setTimelineOut(float timelineOut)` 设置素材片段相对于时间线的出点。单位：秒
    `void` | `setWidth(float width)` 设置贴纸在输出视频中的宽度
    `void` | `setX(float x)` 设置距离输出视频左上角的横向距离
    `void` | `setY(float y)` 设置距离输出视频左上角的横向距离
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.PasterTrack

      `getType, setType`

    - ### Methods inherited from class com.aliyun.svideosdk.common.struct.project.Track

      `getId, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mNodeKey

          protected java.lang.String mNodeKey

      模板节点索引key

  - ### Constructor Detail

    - #### PhotoPasterTrack

          public PhotoPasterTrack()

  - ### Method Detail

    - #### getX

          public float getX()

      获取距离输出视频左上角的横向距离
      Returns:
        x轴坐标

    - #### setX

          public void setX(float x)

      设置距离输出视频左上角的横向距离
      Parameters:
        `x` - x轴坐标

    - #### getY

          public float getY()

      获取距离输出视频左上角的横向距离
      Returns:
        y轴坐标

    - #### setY

          public void setY(float y)

      设置距离输出视频左上角的横向距离
      Parameters:
        `y` - 轴坐标

    - #### getWidth

          public float getWidth()

      获取贴纸在输出视频中的宽度
      Returns:
        宽度

    - #### setWidth

          public void setWidth(float width)

      设置贴纸在输出视频中的宽度
      Parameters:
        `width` - 宽度

    - #### getHeight

          public float getHeight()

      获取贴纸在输出视频中的高度
      Returns:
        贴纸高度

    - #### setHeight

          public void setHeight(float height)

      设置贴纸在输出视频中的高度
      Parameters:
        `height` - 贴纸高度

    - #### getRotation

          public float getRotation()

      获取角度值
      Returns:
        角度值

    - #### setRotation

          public void setRotation(float rotation)

      设置角度值
      Parameters:
        `rotation` - 角度值

    - #### isMirror

          public boolean isMirror()

      是否镜像
      Returns:
        是否镜像

    - #### setMirror

          public void setMirror(boolean mirror)

      设置是否镜像
      Parameters:
        `mirror` - 是否镜像

    - #### getTimelineIn

          public float getTimelineIn()

      获取素材片段相对于时间线的入点。单位：秒
      Returns:
        切入点

    - #### setTimelineIn

          public void setTimelineIn(float timelineIn)

      设置素材片段相对于时间线的入点。单位：秒
      Parameters:
        `timelineIn` - 切入点

    - #### getTimelineOut

          public float getTimelineOut()

      获取素材片段相对于时间线的出点。单位：秒
      Returns:
        切出点

    - #### setTimelineOut

          public void setTimelineOut(float timelineOut)

      设置素材片段相对于时间线的出点。单位：秒
      Parameters:
        `timelineOut` - 切出点

    - #### getSource

          public Source getSource()

      获取贴纸资源
      Returns:
        贴纸资源

    - #### setSource

          public void setSource(Source source)

      设置贴纸资源
      Parameters:
        `source` - 贴纸资源

    - #### getActions

          public java.util.List<ActionBase> getActions()

      获取动效列表
      Returns:
        动效列表

    - #### getFrameArray

          public java.util.List<Frame> getFrameArray()

      Gets the frames of this sticker.
      Returns:
        frames

    - #### setFrameArray

          public void setFrameArray(java.util.List<Frame> frameArray)

      获取动态贴纸帧列表
      Parameters:
        `frameArray` - 帧列表

    - #### getTimeArray

          public java.util.List<FrameTime> getTimeArray()

      获取动态贴纸时间戳
      Returns:
        时间戳列表

    - #### setTimeArray

          public void setTimeArray(java.util.List<FrameTime> timeArray)

      设置动态贴纸时间戳
      Parameters:
        `timeArray` - 时间戳列表

    - #### getName

          public java.lang.String getName()

      获取贴纸资源名称
      Returns:
        资源名称

    - #### setName

          public void setName(java.lang.String name)

      设置贴纸资源名称
      Parameters:
        `name` - 资源名称

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getNodeKey

          public java.lang.String getNodeKey()

    - #### setNodeKey

          public void setNodeKey(java.lang.String key)